Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.responsehandlers
Class BlockingEventResponseHandler

    java.lang.Object
      org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
          org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
              org.jbpm.task.service.responsehandlers.BlockingEventResponseHandler

All Implemented Interfaces:
  EventResponseHandler, org.kie.internal.task.service.ResponseHandler

    public class BlockingEventResponseHandler

extends AbstractBlockingResponseHandler
implements EventResponseHandler

Constructor Summary
`BlockingEventResponseHandler()`
`BlockingEventResponseHandler(TaskEventsAdmin eventsAdmin)`

Method Summary
`void` | `execute(Payload payload)`
`TaskEventsAdmin` | `getEventsAdmin()`
`Payload` | `getPayload()`
`boolean` | `isRemove()`
`void` | `setEventsAdmin(TaskEventsAdmin eventsAdmin)`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBlockingResponseHandler
`waitTillDone`

Methods inherited from class org.jbpm.task.service.responsehandlers.AbstractBaseResponseHandler
`createSideException, getError, hasError, isDone, setDone, setError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.kie.internal.task.service.ResponseHandler
`setError`

Constructor Detail

### BlockingEventResponseHandler

    public BlockingEventResponseHandler(TaskEventsAdmin eventsAdmin)

### BlockingEventResponseHandler

    public BlockingEventResponseHandler()

Method Detail

### execute

    public void execute(Payload payload)

  Specified by:
    `execute` in interface `EventResponseHandler`

### getPayload

    public Payload getPayload()

### getEventsAdmin

    public TaskEventsAdmin getEventsAdmin()

### setEventsAdmin

    public void setEventsAdmin(TaskEventsAdmin eventsAdmin)

### isRemove

    public boolean isRemove()

  Specified by:
    `isRemove` in interface `EventResponseHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.